#
# WiKicker
#
#  Read.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Read.pm,v 1.2 2003/10/26 08:55:54 naney Exp $
#
#

package WiKicker::CGI::View::Text::Read;

use 5.005;
use strict;

use WiKicker::CGI::View::Raw::Base;
use WiKicker::WikiPage::TextFormatVisitor;

use vars qw(@ISA);
# @todo
@ISA = qw(WiKicker::CGI::View::Raw::Base);

sub view {
  my ($self, $request, $response) = @_;

  my $wiki_page = $request->attribute('content');

  $self->set_http_header($response);

  my $document_node
    = $request->configuration->create_document_parser->parse($wiki_page);
  my $visitor = WiKicker::WikiPage::TextFormatVisitor->new;

  $visitor->visit($document_node);

  $response->add_content($visitor->content);
}


1;
