#
# WiKicker
#
#  Base.pm
#
#
# Copyright (C) 2003,2004 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Base.pm,v 1.4 2004/01/11 15:31:31 naney Exp $
#
#

package WiKicker::CGI::View::XML::Base;

use 5.005;
use strict;
use WiKicker::CGI::View;
use WiKicker::WikiCGI::View;

use vars qw(@ISA);
@ISA = qw(WiKicker::CGI::View WiKicker::WikiCGI::View);

sub view {
  my ($self, $request, $response, $begin_time) = @_;

  $self->_setup($request, $response);
  $self->set_http_header($response);
  $self->_make_body($request, $response);
}

sub _setup {
  my ($self, $request, $response);
}


sub set_http_header {
  my ($self, $response) = @_;

  my %param;
  $param{-type} = 'text/xml';
  $param{-charset} = 'UTF-8';
  if (@{$response->{cookies}} > 0) {
    $param{-cookie} = $response->{cookies};
    $response->http_header($self->request->query->header(%param));
  }
}

1;
