#
# WiKicker
#
#  Preference.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Preference.pm,v 1.2 2003/12/28 14:12:53 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::Preference;

use 5.005;
use strict;

use WiKicker::WikiCGI::View::HTML;
use WiKicker::PageName;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML);

sub make_html_body {
  my ($self, $request, $response) = @_;
  
  $response->add_content($self->make_preference_form($request));
}

sub make_preference_form {
  my ($self, $request) = @_;

  my $query = $request->query;

  my $result;
  $result .= $query->start_form(-method => 'POST',
                                -action => $self->request->url);
  $result .= $query->hidden(-name => 'name',
                            -default => 'PreferencePage',
                            -override => 1);
  $result .= $query->hidden(-name => 'action',
                            -default => 'commit',
                            -override => 1);
  $result .= qq(名前(ニックネーム): );
  $result .= $query->textfield(-name => 'un',
                               -default => $request->user->name,
                               -override => 1,
                               -size => 30,
                               -maxlength => 120);
  $result .= $query->br;

  $result .= qq(タイムゾーン: );
  $result .= $query->textfield(-name => 'tz',
                               -default => $request->user->timezone ||
                               $request->configuration->properties->get('user.timezone'),
                               -override => 1,
                               -size => 30,
                               -maxlength => 120);
  $result .= $query->br;
  $result .= qq(editor width: );
  $result .= $query->textfield(-name => 'ew',
                               -default => $request->user->editor_width,
                               -override => 1,
                               -size => 3,
                               -maxlength => 10);

  $result .= $query->br;
  $result .= qq(editor height: );
  $result .= $query->textfield(-name => 'eh',
                               -default => $request->user->editor_height,
                               -override => 1,
                               -size => 3,
                               -maxlength => 10);

  $result .= $query->br;
  $result .= $query->submit(-name => 'submit', -value => '更新');

  return $result;
};

1;
