#
# WiKicker
#
#  Preview.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Preview.pm,v 1.2 2003/12/28 14:12:53 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::Preview;

use 5.005;
use strict;
use WiKicker::WikiCGI::View::HTML::Edit;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML::Edit);

sub make_html_body {
  my ($self, $request, $response) = @_;

  my $wiki_page = $request->attribute('content');
  my $html_fragment = $self->make_html_fragment($wiki_page, 1, 1);

  $response->add_content('<hr>');
  $response->add_content(qq(<div class="preview">));
  $response->add_content($html_fragment);
  $response->add_content('</div>');
  $response->add_content('<hr>');
  $response->add_content($self->make_edit_form($wiki_page, $request));
}

1;
