#
# WiKicker
#
#  Read.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Read.pm,v 1.3 2003/12/28 14:25:37 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::Read;

use 5.005;
use strict;
use WiKicker::WikiCGI::View::HTML;
use WiKicker::URI;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML);

sub make_html_body {
  my ($self, $request, $response) = @_;

#   if ($request->attribute('normalpage')) {
#     $response->add_content($self->_make_trackback_rdf);
#   }

  my $wiki_page = $request->attribute('content');
  $self->make_html_fragment_with_toc($wiki_page, 1);
}

# sub _make_trackback_rdf {
#   my $self = shift;

#   my $url = WiKicker::URI::make_read_page_url($self->request->query->url,
#                                               $self->request->name);
#   my $url2 = $self->request->query->url . '?' . WiKicker::URI::escape_URI($self->request->name);
#   my $ping_url = $self->track_back_ping_url;
#   my $title = WiKicker::HTML::escape_attribute($self->request->name);
  
#   return <<__ENDSTR__;
# <!--
# <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
#          xmlns:dc="http://purl.org/dc/elements/1.1/"
#          xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/">
# <rdf:Description
#     rdf:about="$url"
#     dc:identifer="$url"
#     dc:title="$title"
#     trackback:ping="$ping_url" />
# </rdf:RDF>

# <rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
#          xmlns:dc="http://purl.org/dc/elements/1.1/"
#          xmlns:trackback="http://madskills.com/public/xml/rss/module/trackback/">
# <rdf:Description
#     rdf:about="$url2"
#     dc:identifer="$url2"
#     dc:title="$title"
#     trackback:ping="$ping_url" />
# </rdf:RDF>
# -->
# __ENDSTR__
# }

sub enable_header_toolbar_edit {
  my $self = shift;
  unless ($self->request->attribute('editable')) {
    return 0;
  }
  if ($self->request->attribute('revision')) {
    return 0;
  }
  
  return 1;
}

sub enable_header_toolbar_diff {
  my $self = shift;
  unless ($self->request->attribute('editable')) {
    return 0;
  }
  
  return 1;
}

sub enable_header_toolbar_copy {
  my $self = shift;
  unless ($self->request->attribute('editable')) {
    return 0;
  }
  
  if ($self->request->attribute('revision')) {
    return 0;
  }
  else {
    return 1;
  }
}

sub enable_header_toolbar_create {
  return 1;
}

sub enable_header_toolbar_raw {
  my $self = shift;
  return $self->request->attribute('editable')
    || $self->request->attribute('revision');
}

sub enable_header_toolbar_rlog {
  my $self = shift;
  return $self->request->attribute('editable')
    || $self->request->attribute('revision');
}

1;
