#
# WiKicker
#
#  Rlog.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Rlog.pm,v 1.2 2003/12/28 14:12:53 naney Exp $
#
#

package WiKicker::WikiCGI::View::HTML::Rlog;

use 5.005;
use strict;
use WiKicker::WikiCGI::View::HTML;

use vars qw(@ISA);
@ISA = qw(WiKicker::WikiCGI::View::HTML);

sub make_html_body {
  my ($self, $request, $response) = @_;

  my $query = $request->query;
  my $result = '';
  $result .= $query->start_table(-class => 'rlog');
  $result .= $query->start_Tr;
  $result .= $query->td('revision');
  $result .= $query->td('commit date');
  $result .= $query->td('plus lines');
  $result .= $query->td('minus lines');
  $result .= $query->end_Tr;
  for my $entry (@{$request->attribute('rlog')}) {
    $result .= $query->start_Tr;
    $result .= $query->td($query->a({href => $self->make_read_revision_url($entry->[0])}, $entry->[0]));
    $result .= $query->td(scalar(gmtime($entry->[1]))); # @todo
    $result .= $query->td($entry->[2] == -1 ? '' : '+' . $entry->[2]);
    $result .= $query->td($entry->[3] == -1 ? '' : '-' . $entry->[3]);
    $result .= $query->end_Tr;
  }
  $result .= $query->end_table;
  $response->add_content($result);
}

sub make_read_revision_url {
  my ($self, $revision) = @_;

  $self->request->url . '?name=' .
    WiKicker::URI::escape_URI($self->request->name)
        . '&revision=' . WiKicker::URI::escape_URI($revision);
}

sub enable_header_toolbar_create {
  return 1;
}

1;
