#
# WiKicker
#
#  Env.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: Env.pm,v 1.3 2003/12/29 12:35:19 naney Exp $
#
#

package WiKicker::WikiPage::Env;

sub new {
  my ($class, %param) = @_;

  my $self = bless {}, $class;
  for my $key (keys %param) {
    $self->{$key} = $param{$key};
  }

  return $self;
}

sub configuration {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{configuration} = $value;
  }
  return $self->{configuration};
}

sub environment {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{environment} = $value;
  }
  return $self->{environment};
}


sub page_name {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{page_name} = $value;
  }
  return $self->{page_name};
}

sub db {
  shift->environment->db;
}

sub user {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{user} = $value;
  }
  return $self->{user};
}

sub resolver {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{resolver} = $value;
  }
  return $self->{resolver};
}

sub wikicker_url {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{wikicker_url} = $value;
  }
  return $self->{wikicker_url};
}


sub wri_factory {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{wri_factory} = $value;
  }
  return $self->{wri_factory};
}

package WiKicker::WikiPage::HtmlEnv;

use vars qw(@ISA);
BEGIN {
  @ISA = qw(WiKicker::WikiPage::Env);
}

sub new {
  my ($class, %param) = @_;

  my $self = bless WiKicker::WikiPage::Env->new(%param), $class;
  $self->{comment_number} = -1;

  return $self;
}

sub in_inline {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{in_inline} = $value;
  }
  return $self->{in_inline};
}

sub comment_number {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{comment_number} = $value;
  }
  return $self->{comment_number};
}

sub query {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{query} = $value;
  }
  return $self->{query};
}

sub form_charset {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{form_charset} = $value;
  }
  return $self->{form_charset};
}

sub link_maker {
  my ($self, $value) = @_;

  if (defined $value) {
    $self->{link_maker} = $value;
  }
  return $self->{link_maker};
}

1;
